Results 1 to 3 of 3

Thread: Hplip (qt4 support) problem

  1. #1
    Join Date
    Feb 2009
    Location
    Italy
    Posts
    23

    Exclamation Hplip (qt4 support) problem

    Hi,
    this is my fist post in this forum.
    Tomorrow i have installed the new version of hplip (3.9.2.49) and i have a problem: when i launch hp-toolbox i reiceved this message from console:

    Code:
    Crismon@openSUSE-home:~> hp-toolbox
    
    HP Linux Imaging and Printing System (ver. 3.9.2)
    HP Device Manager ver. 15.0
    
    Copyright (c) 2001-9 Hewlett-Packard Development Company, LP
    This software comes with ABSOLUTELY NO WARRANTY.
    This is free software, and you are welcome to distribute it
    under certain conditions. See COPYING file for more details.
    
    QVariant::load: unable to load type 30.
    Traceback (most recent call last):
      File "/usr/bin/hp-toolbox", line 254, in <module>
        toolbox = DevMgr5(__version__, device_uri,  None)
      File "/usr/share/hplip/ui4/devmgr5.py", line 183, in __init__
        self.user_settings.load()
      File "/usr/share/hplip/ui4/ui_utils.py", line 150, in load
        self.auto_refresh_type = int(self.value("type").toString() or self.auto_refresh_type)
    ValueError: invalid literal for int() with base 10: 'false'
    python-qt4 is installed.
    My system is openSUSE 11.1 with KDE 4.2 (release 102) the latest version of Factory repository. (qt 4.5)
    My user is member of "lp" group.
    How i can solved it?
    Thank you.

  2. #2
    Join Date
    Feb 2009
    Location
    Italy
    Posts
    23

    Default Re: Hplip (qt4 support) problem

    Quote Originally Posted by Crismon View Post
    Hi,
    this is my fist post in this forum.
    Tomorrow i have installed the new version of hplip..
    Sorry.... Yesterday....... My english is bad!!!!!!

  3. #3
    jrsupplee NNTP User

    Default Re: Hplip (qt4 support) problem

    There may be some bad settings in ~/.hplip/hplip.conf. Try renaming it. If that doesn't work, try changing ui-toolkit to qt3 in /etc/hp/hplip.conf (that worked for me).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •